import request from '@/utils/request'

// 查询线路检修完成情况列表
export function listMaintenanceStatistics(query) {
  return request({
    url: '/powerdistribution/maintenance/statistics/list',
    method: 'get',
    params: query
  })
}

// 查询线路检修完成情况详细
export function getMaintenanceStatistics(eventNo) {
  return request({
    url: '/powerdistribution/maintenance/statistics/' + eventNo,
    method: 'get'
  })
}

// 新增线路检修完成情况
export function addMaintenanceStatistics(data) {
  return request({
    url: '/powerdistribution/maintenance/statistics',
    method: 'post',
    data: data
  })
}

// 修改线路检修完成情况
export function updateMaintenanceStatistics(data) {
  return request({
    url: '/powerdistribution/maintenance/statistics',
    method: 'put',
    data: data
  })
}

// 删除线路检修完成情况
export function delMaintenanceStatistics(eventNo) {
  return request({
    url: '/powerdistribution/maintenance/statistics/' + eventNo,
    method: 'delete'
  })
}
